> ## Documentation Index
> Fetch the complete documentation index at: https://docs.sendrealm.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create And List Automations

> Create automation drafts and list existing automations.

## Endpoints

* `GET /automations`
* `POST /automations`

## Create request

```json theme={null}
{
  "name": "Post Purchase Journey",
  "description": "Follow up after a completed order.",
  "definition": {
    "trigger": {
      "event_name": "order.completed"
    },
    "steps": [
      {
        "key": "send_receipt",
        "type": "send_email_template",
        "config": {
          "template_version_id": "tpl_ver_email_123",
          "domain_id": "dom_123"
        }
      }
    ],
    "connections": [
      {
        "from": "trigger",
        "to": "send_receipt",
        "branch": "next"
      }
    ]
  },
  "editor_layout": {
    "viewport": {
      "x": 0,
      "y": 0,
      "zoom": 1
    },
    "nodes": [
      {
        "id": "trigger",
        "position": {
          "x": 120,
          "y": 180
        }
      }
    ]
  }
}
```

## List filters

`GET /automations?status=active&search=post`
